DOM::HTMLCollection Class Reference

`#include <html_misc.h>`

Inherited by DOM::HTMLFormCollection, and DOM::HTMLMappedNameCollection.

## Public Member Functions

| HTMLCollection (const HTMLCollection &other)
HTMLCollection & | operator= (const HTMLCollection &other)
unsigned long | length () const
Node | item (unsigned long index) const
Node | namedItem (const DOMString &name) const
Node | base () const
HTMLCollectionImpl * | handle () const
bool | isNull () const
Node | firstItem () const
Node | nextItem () const
Node | nextNamedItem (const DOMString &name) const

## Protected Member Functions

| HTMLCollection (NodeImpl *base, int type)

## Protected Attributes

HTMLCollectionImpl * | impl

## Friends

class | HTMLDocument
class | HTMLSelectElement
class | HTMLImageElement
class | HTMLMapElement
class | HTMLTableElement
class | HTMLTableRowElement
class | HTMLTableSectionElement
class | HTMLLayerElement
class | HTMLElement

## Detailed Description

An `HTMLCollection` is a list of nodes.

An individual node may be accessed by either ordinal index or the node's `name` or `id` attributes. Note: Collections in the HTML DOM are assumed to be live meaning that they are automatically updated when the underlying document is changed.

Definition at line 126 of file html_misc.h.

## Member Function Documentation

Node HTMLCollection::item | ( | unsigned long | index | ) | const

This method retrieves a node specified by ordinal index.

Nodes are numbered in tree order (depth-first traversal order).

Parameters

  index | The index of the node to be fetched. The index origin is 0.

Returns
  The `Node` at the corresponding position upon success. A value of `null` is returned if the index is out of range.

Definition at line 147 of file html_misc.cpp.

unsigned long HTMLCollection::length | ( |  | ) | const

This attribute specifies the length or size of the list.

Definition at line 141 of file html_misc.cpp.

Node HTMLCollection::namedItem | ( | const DOMString & | name | ) | const

This method retrieves a `Node` using a name.

It first searches for a `Node` with a matching `id` attribute. If it doesn't find one, it then searches for a `Node` with a matching `name` attribute, but only on those elements that are allowed a name attribute.

Parameters

  name | The name of the `Node` to be fetched.

Returns
  The `Node` with a `name` or `id` attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns `null` .

Definition at line 153 of file html_misc.cpp.

The documentation for this class was generated from the following files:

- html_misc.h
- html_misc.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys